file fx; put fx;

set runs /0*9/;
execute 'gamslib -q dice';
execute 'echo threads=2 > cplex.opt';

loop(runs,
  put_utility 'log' / '*** Starting dice: ' runs.tl:0;
  put_utility 'shell' / 'gams dice lp=cplex lo=2 optfile=1 gdx=diceOpp' runs.tl:0;
  if(errorlevel,
    put_utility 'log' / '*** Error while running dice: ' runs.tl:0
  );
);

execute 'gdxmerge diceOpp* id=wnx output=opportunistic';

execute 'echo parallelmode=1 >> cplex.opt';

loop(runs,
  put_utility 'log' / '*** Starting dice: ' runs.tl:0;
  put_utility 'shell' / 'gams dice lp=cplex lo=2 optfile=1 gdx=diceDet' runs.tl:0;
  if(errorlevel,
    put_utility 'log' / '*** Error while running dice: ' runs.tl:0
  );
);

execute 'gdxmerge diceDet* id=wnx output=deterministicistic';
